National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2019-9155 Detail

Current Description

A cryptographic issue in OpenPGP.js <=4.2.0 allows an attacker who is able provide forged messages and gain feedback about whether decryption of these messages succeeded to conduct an invalid curve attack in order to gain the victim's ECDH private key.

Source:  MITRE
View Analysis Description

Impact

CVSS v3.0 Severity and Metrics:

Base Score: 5.9 MEDIUM
Vector: AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N (V3.0 legend)
Impact Score: 3.6
Exploitability Score: 2.2


Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality (C): High
Integrity (I): None
Availability (A): None

CVSS v2.0 Severity and Metrics:

Base Score: 4.3 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:P/I:N/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://packetstormsecurity.com/files/154191/OpenPGP.js-4.2.0-Signature-Bypass-Invalid-Curve-Attack.html Third Party Advisory VDB Entry
https://github.com/openpgpjs/openpgpjs/pull/853 Third Party Advisory
https://github.com/openpgpjs/openpgpjs/pull/853/commits/7ba4f8c655e7fd7706e8d7334e44b40fdf56c43e Patch Third Party Advisory
https://github.com/openpgpjs/openpgpjs/releases/tag/v4.3.0 Release Notes
https://sec-consult.com/en/blog/advisories/multiple-vulnerabilities-in-openpgp-js/ Exploit Third Party Advisory
https://www.bsi.bund.de/SharedDocs/Downloads/EN/BSI/Publications/Studies/Mailvelope_Extensions/Mailvelope_Extensions_pdf.html#download=1 Third Party Advisory

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:openpgpjs:openpgpjs:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
4.2.0


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2019-9155
NVD Published Date:
08/22/2019
NVD Last Modified:
08/30/2019